Page MenuHomePhabricator

Remove Blueprint's use of bootstrap
Closed, DeclinedPublic

Description

Blueprint uses the Bootstrap library, see gerrits 202698, 202719, 202720, and maybe others . Code is easier to approve for deployment if it introduces fewer dependencies, so maybe we can drop the dependency on bootstrap.

Related Objects

StatusAssignedTask
Resolved Spage
Resolved Spage
Resolved Spage
Resolvedori
DeclinedNone
ResolvedNone
DeclinedNone
ResolvedAnomie
DeclinedNone
OpenNone
OpenNone
Resolved Spage
DeclinedNone
Resolvedjeropbrenda
OpenNone
DeclinedQgil
Resolved Spage
ResolvedQgil
ResolvedQgil
ResolvedQgil
Resolved Spage
Resolved Spage
Resolved Spage
DeclinedNone
DeclinedNone
Resolved Spage
Resolved Spage
DeclinedNone
DeclinedNone
DeclinedNone
InvalidNone
DeclinedNone
Resolved violetto
DeclinedNone
DeclinedNone
ResolvedNone

Event Timeline

Spage created this task.Jul 3 2015, 2:37 AM
Spage raised the priority of this task from to Normal.
Spage updated the task description. (Show Details)
Spage added a project: Blueprint.
Spage added subscribers: Aklapper, Spage, Volker_E.
Prtksxna added a subscriber: Prtksxna.
Prtksxna raised the priority of this task from Normal to High.Jul 3 2015, 4:37 AM
Prtksxna moved this task from Backlog to Next Up on the Blueprint board.Jul 3 2015, 4:40 AM
Paladox added a subscriber: Paladox.Aug 6 2015, 4:53 PM

Wasent this done a few months ago and then someone re added it. If you look at REL1_25 branch it doesent includes bootstrap.

Volker_E moved this task from Next Up to In Development on the Blueprint board.Aug 21 2015, 2:51 PM
Volker_E renamed this task from remove Blueprint's use of bootstrap to Remove Blueprint's use of bootstrap.Sep 21 2015, 9:16 PM
Volker_E set Security to None.
Pastakhov added a subscriber: Pastakhov.EditedMay 22 2016, 9:17 AM

Bootstrap contains some global CSS rules that broke OOjs UI Dialogs.
For example:

html {
  font-size: 10px;
}

* {   
  box-sizing: border-box;
}

Dialogs are look very ugly...

Prtksxna closed this task as Declined.May 31 2017, 6:11 PM

The skin is no longer maintained.